Jump to content

Recommended Posts

Posted

Hi,

 

I have searched everywhere for this, but can’t get even close to solving this issue.

The problem I’m trying to solve is related to the topic I started here:

 

http://www.cadtutor.net/forum/showthread.php?p=215494#post215494

 

It’s got to do with the way we dimension parts that require a mirrored part.

We model them once in modelspace, then we dimension it twice in modelspace; once on the DIM layer, and once on the OPD (opposite dimension) layer. We rotate the UCS in the viewport for the mirrored part 180deg around y-axis before dimensioning, and freeze/thaw those dimension layers in their corresponding viewports. Have a look at the dwg file attached, it should make it clearer.

 

The problem I have, is that I cannot find any command/setting/variable that allows me to simply make dimension text appear ‘backward’.

If I had this, I could simply copy all dimensions off to the side, change the layer and flip the text around, and move the dimensions back into place. At the moment, we always have to re-dimension the entire part in the correct UCS.

It’s easy for (single line) text (like the number in our Tags); simply select the text and set the property ‘Backwards’ to ‘Yes’. I have noticed this can't be done on Multiline text, but at least Multiline text can be made 'backward' when you mirror it with the MIRRTEXT variable set to 1. If I mirror dimensions though, it will not make the text backward no matter what the MIRRTEXT variable is set to.

 

I want to find a way to make text on dimensions backwards, then I can think of ways to make a routine that will copy all objects on the dimension layer, transfer it to the OPD layer, and flip the text backwards. (and incorporate that in the routine from the topic mentioned earlier).

 

But one step at a time; anyone have any idea how to flip dimension text backwards? Is it possible at all? In the properties of the dimension there is no such option, so I’m wondering if it can be done at all.

Opposite Dimension.dwg

Posted

mirror3d command allows you to make your dimensions appear "backward" draw a 2dpolyline to define your mirror axis on XY plane then mirror3d. I tired it worked.

Posted

shouldnt you just have to set your ucs in a "mirrored" postion

Posted
mirror3d command allows you to make your dimensions appear "backward" draw a 2dpolyline to define your mirror axis on XY plane then mirror3d. I tired it worked.

 

That, my friend, is a thing of beauty. I should have known this 3 years ago.

I've been brainlessly redrawing opposite dimensions all that time. This solution is so simple, but I wouldn't have thought of it in a thousand years.

Thanks for that!

 

@flowerrobot: setting the ucs to the mirrored position is what I have to do to draw the opposite dimension, but doesn't do anything to existing dimensions. You would expect some sort of UCS setting in the properties of this dimension you could change easily though.

Posted

I have made a little routine that will allow you to simply select all the objects that have text on them, and will make the text backwards. (it doesn't work on all types of text, but these can easily be made backward via the normal MIRROR command, or via the Properties).

 

 
(defun C:M3D ()
(command "_.SELECT" pause)
(command "_.MIRROR3D" "_PREVIOUS" "" "0,0,0" "0,1,0" "1,0,0" "_Y")
(princ)
)

 

With the MIRROR3D command, when you're asked to select 3 points for the mirror plane, you can place these anywhere, as long as they're not collinear. Because of that, I can simply use preset coordinates from the origin (1 up, 1 to the right) in the routine.

 

The MIRROR3D command doesn't work well with ordinate dimensions placed in a rotated UCS unfortunately.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...